<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
    "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd" >

<hibernate-mapping
    default-lazy="false"
    auto-import="true"
    default-access="property"
    package="gov.va.med.esr.common.model.lookup">

    <class
        name="ComLetterTemplateType"
        table="COM_LETTER_TEMPLATE"
		abstract="true"
        mutable="false">

        <cache usage="read-only" />

        <id name="identifier"
            type="java.math.BigDecimal"
            column="COM_LETTER_TEMPLATE_ID">
            <generator class="assigned" />
        </id>
		
        <property
            name="code"
            type="java.lang.String"
            not-null="true"
            insert="false"
            update="false"
            column="LETTER_TEMPLATE_FORM_NUMBER"
            length="100"
            unique="true">
        </property>

        <property
            name="name"
            type="java.lang.String"
            insert="false"
            update="false"
            column="LETTER_TEMPLATE_NAME"
            length="100"
            unique="true">
        </property>
        
        <property
            name="description"
            type="java.lang.String"
            not-null="true"
            insert="false"
            update="false"
            column="LETTER_TEMPLATE_DESCRIPTION"
            length="250"
            unique="true">
        </property>		
	</class>
</hibernate-mapping>